# Contributing Guidelines

Thank you for considering contributing to this project. Below are guidelines on how to participate and contribute.

## 1. Types of Contributions

- **Code Fixes/Additions**  
  Bug fixes, new features, etc.
- **Documentation Improvements**  
  Updates to the README, user guides, API documentation, etc.
- **Others**  
  Adding tests, performance improvements, design suggestions, etc.

## 2. Before Contributing

### Signing the Contributor License Agreement (CLA)

All contributors are required to sign the CLA by adding the necessary information (such as account name, full name, and date) in the [**CONTRIBUTORS.md**](./CONTRIBUTORS.md) file when submitting a pull request.  
(If the initial submission does not include this information, please explicitly state your agreement to the CLA within your pull request.)

## 3. Contribution Process

1. **Check Issues**  
   Please review existing issues and pull requests to ensure your contribution is not duplicating work.
2. **Create a Branch**  
   Create a new branch and start working on your changes.
3. **Implement Changes**  
   Make the necessary code changes or documentation updates and include detailed commit messages that describe your modifications.  
   _If this is your first contribution, please add your CLA information (account name, full name, and date) to the **CONTRIBUTORS.md** file._
4. **Submit a Pull Request**  
   Once your work is complete, create a pull request and request a review.

## 4. Communication and Feedback

- **Issues and Discussions**  
  For questions, suggestions, or problem reports, please use GitHub Issues or Discussions.
- **Reviews**  
  Your pull request will be reviewed by other contributors before being merged. Please address any feedback provided.

## 5. Code Style and Quality

- **Coding Standards**  
  Follow the project’s coding standards to ensure your code is clean, readable, and maintainable.
- **Testing**  
  When applicable, add test cases for your changes or update existing tests.

## 6. License

This project is released under the [Project License]. For more details, please refer to the LICENSE file.
